// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v4.23.4
// source: botCommon.proto

package proto

import (
	proto "gitlab.com/nikita.morozov/ms-shared/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ScenarioInitialRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ScenarioId uint32 `protobuf:"varint,1,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
	ActionId   uint32 `protobuf:"varint,2,opt,name=actionId,proto3" json:"actionId,omitempty"`
}

func (x *ScenarioInitialRequest) Reset() {
	*x = ScenarioInitialRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioInitialRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioInitialRequest) ProtoMessage() {}

func (x *ScenarioInitialRequest) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioInitialRequest.ProtoReflect.Descriptor instead.
func (*ScenarioInitialRequest) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{0}
}

func (x *ScenarioInitialRequest) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

func (x *ScenarioInitialRequest) GetActionId() uint32 {
	if x != nil {
		return x.ActionId
	}
	return 0
}

type BotModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                 uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedAt          int64  `protobuf:"varint,2,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	UpdatedAt          int64  `protobuf:"varint,3,opt,name=updatedAt,proto3" json:"updatedAt,omitempty"`
	Token              string `protobuf:"bytes,4,opt,name=token,proto3" json:"token,omitempty"`
	Slug               string `protobuf:"bytes,5,opt,name=slug,proto3" json:"slug,omitempty"`
	Env                string `protobuf:"bytes,6,opt,name=env,proto3" json:"env,omitempty"`
	Handler            string `protobuf:"bytes,7,opt,name=handler,proto3" json:"handler,omitempty"`
	ExecutorHandler    string `protobuf:"bytes,8,opt,name=executorHandler,proto3" json:"executorHandler,omitempty"`
	AllowPlainCommand  bool   `protobuf:"varint,9,opt,name=allowPlainCommand,proto3" json:"allowPlainCommand,omitempty"`
	DisableTriggers    bool   `protobuf:"varint,10,opt,name=disableTriggers,proto3" json:"disableTriggers,omitempty"`
	AutoRemoveMessages bool   `protobuf:"varint,11,opt,name=autoRemoveMessages,proto3" json:"autoRemoveMessages,omitempty"`
	DeletedAt          *int64 `protobuf:"varint,12,opt,name=deletedAt,proto3,oneof" json:"deletedAt,omitempty"`
}

func (x *BotModel) Reset() {
	*x = BotModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BotModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BotModel) ProtoMessage() {}

func (x *BotModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BotModel.ProtoReflect.Descriptor instead.
func (*BotModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{1}
}

func (x *BotModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *BotModel) GetCreatedAt() int64 {
	if x != nil {
		return x.CreatedAt
	}
	return 0
}

func (x *BotModel) GetUpdatedAt() int64 {
	if x != nil {
		return x.UpdatedAt
	}
	return 0
}

func (x *BotModel) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

func (x *BotModel) GetSlug() string {
	if x != nil {
		return x.Slug
	}
	return ""
}

func (x *BotModel) GetEnv() string {
	if x != nil {
		return x.Env
	}
	return ""
}

func (x *BotModel) GetHandler() string {
	if x != nil {
		return x.Handler
	}
	return ""
}

func (x *BotModel) GetExecutorHandler() string {
	if x != nil {
		return x.ExecutorHandler
	}
	return ""
}

func (x *BotModel) GetAllowPlainCommand() bool {
	if x != nil {
		return x.AllowPlainCommand
	}
	return false
}

func (x *BotModel) GetDisableTriggers() bool {
	if x != nil {
		return x.DisableTriggers
	}
	return false
}

func (x *BotModel) GetAutoRemoveMessages() bool {
	if x != nil {
		return x.AutoRemoveMessages
	}
	return false
}

func (x *BotModel) GetDeletedAt() int64 {
	if x != nil && x.DeletedAt != nil {
		return *x.DeletedAt
	}
	return 0
}

type BotListResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items     []*BotModel      `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Paginator *proto.Paginator `protobuf:"bytes,2,opt,name=paginator,proto3" json:"paginator,omitempty"`
}

func (x *BotListResp) Reset() {
	*x = BotListResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BotListResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BotListResp) ProtoMessage() {}

func (x *BotListResp) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BotListResp.ProtoReflect.Descriptor instead.
func (*BotListResp) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{2}
}

func (x *BotListResp) GetItems() []*BotModel {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *BotListResp) GetPaginator() *proto.Paginator {
	if x != nil {
		return x.Paginator
	}
	return nil
}

type BotUserModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedAt int64  `protobuf:"varint,2,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	UpdatedAt int64  `protobuf:"varint,3,opt,name=updatedAt,proto3" json:"updatedAt,omitempty"`
	BotId     uint32 `protobuf:"varint,4,opt,name=botId,proto3" json:"botId,omitempty"`
	UserId    string `protobuf:"bytes,5,opt,name=userId,proto3" json:"userId,omitempty"`
	Meta      string `protobuf:"bytes,6,opt,name=meta,proto3" json:"meta,omitempty"`
	DeletedAt *int64 `protobuf:"varint,7,opt,name=deletedAt,proto3,oneof" json:"deletedAt,omitempty"`
}

func (x *BotUserModel) Reset() {
	*x = BotUserModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BotUserModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BotUserModel) ProtoMessage() {}

func (x *BotUserModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BotUserModel.ProtoReflect.Descriptor instead.
func (*BotUserModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{3}
}

func (x *BotUserModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *BotUserModel) GetCreatedAt() int64 {
	if x != nil {
		return x.CreatedAt
	}
	return 0
}

func (x *BotUserModel) GetUpdatedAt() int64 {
	if x != nil {
		return x.UpdatedAt
	}
	return 0
}

func (x *BotUserModel) GetBotId() uint32 {
	if x != nil {
		return x.BotId
	}
	return 0
}

func (x *BotUserModel) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *BotUserModel) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

func (x *BotUserModel) GetDeletedAt() int64 {
	if x != nil && x.DeletedAt != nil {
		return *x.DeletedAt
	}
	return 0
}

type BotUserListResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items     []*BotUserModel  `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Paginator *proto.Paginator `protobuf:"bytes,2,opt,name=paginator,proto3" json:"paginator,omitempty"`
}

func (x *BotUserListResp) Reset() {
	*x = BotUserListResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BotUserListResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BotUserListResp) ProtoMessage() {}

func (x *BotUserListResp) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BotUserListResp.ProtoReflect.Descriptor instead.
func (*BotUserListResp) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{4}
}

func (x *BotUserListResp) GetItems() []*BotUserModel {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *BotUserListResp) GetPaginator() *proto.Paginator {
	if x != nil {
		return x.Paginator
	}
	return nil
}

type BotUserList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Handler string             `protobuf:"bytes,1,opt,name=handler,proto3" json:"handler,omitempty"`
	Opts    *proto.ListOptions `protobuf:"bytes,2,opt,name=opts,proto3,oneof" json:"opts,omitempty"`
}

func (x *BotUserList) Reset() {
	*x = BotUserList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BotUserList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BotUserList) ProtoMessage() {}

func (x *BotUserList) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BotUserList.ProtoReflect.Descriptor instead.
func (*BotUserList) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{5}
}

func (x *BotUserList) GetHandler() string {
	if x != nil {
		return x.Handler
	}
	return ""
}

func (x *BotUserList) GetOpts() *proto.ListOptions {
	if x != nil {
		return x.Opts
	}
	return nil
}

type ActionModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      uint32         `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name    string         `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Handler string         `protobuf:"bytes,3,opt,name=handler,proto3" json:"handler,omitempty"`
	Scheme  string         `protobuf:"bytes,4,opt,name=scheme,proto3" json:"scheme,omitempty"`
	Sockets []*SocketModel `protobuf:"bytes,5,rep,name=sockets,proto3" json:"sockets,omitempty"`
}

func (x *ActionModel) Reset() {
	*x = ActionModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ActionModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ActionModel) ProtoMessage() {}

func (x *ActionModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ActionModel.ProtoReflect.Descriptor instead.
func (*ActionModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{6}
}

func (x *ActionModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ActionModel) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ActionModel) GetHandler() string {
	if x != nil {
		return x.Handler
	}
	return ""
}

func (x *ActionModel) GetScheme() string {
	if x != nil {
		return x.Scheme
	}
	return ""
}

func (x *ActionModel) GetSockets() []*SocketModel {
	if x != nil {
		return x.Sockets
	}
	return nil
}

type ExecuteReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name    uint32 `protobuf:"varint,1,opt,name=name,proto3" json:"name,omitempty"`
	BotSlug string `protobuf:"bytes,2,opt,name=botSlug,proto3" json:"botSlug,omitempty"`
	Data    string `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *ExecuteReq) Reset() {
	*x = ExecuteReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExecuteReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExecuteReq) ProtoMessage() {}

func (x *ExecuteReq) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExecuteReq.ProtoReflect.Descriptor instead.
func (*ExecuteReq) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{7}
}

func (x *ExecuteReq) GetName() uint32 {
	if x != nil {
		return x.Name
	}
	return 0
}

func (x *ExecuteReq) GetBotSlug() string {
	if x != nil {
		return x.BotSlug
	}
	return ""
}

func (x *ExecuteReq) GetData() string {
	if x != nil {
		return x.Data
	}
	return ""
}

type EventModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedAt  int64  `protobuf:"varint,2,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	UpdatedAt  int64  `protobuf:"varint,3,opt,name=updatedAt,proto3" json:"updatedAt,omitempty"`
	BotId      uint32 `protobuf:"varint,4,opt,name=botId,proto3" json:"botId,omitempty"`
	ScenarioId uint32 `protobuf:"varint,5,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
	Command    string `protobuf:"bytes,6,opt,name=command,proto3" json:"command,omitempty"`
	DeletedAt  *int64 `protobuf:"varint,7,opt,name=deletedAt,proto3,oneof" json:"deletedAt,omitempty"`
}

func (x *EventModel) Reset() {
	*x = EventModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EventModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EventModel) ProtoMessage() {}

func (x *EventModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EventModel.ProtoReflect.Descriptor instead.
func (*EventModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{8}
}

func (x *EventModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *EventModel) GetCreatedAt() int64 {
	if x != nil {
		return x.CreatedAt
	}
	return 0
}

func (x *EventModel) GetUpdatedAt() int64 {
	if x != nil {
		return x.UpdatedAt
	}
	return 0
}

func (x *EventModel) GetBotId() uint32 {
	if x != nil {
		return x.BotId
	}
	return 0
}

func (x *EventModel) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

func (x *EventModel) GetCommand() string {
	if x != nil {
		return x.Command
	}
	return ""
}

func (x *EventModel) GetDeletedAt() int64 {
	if x != nil && x.DeletedAt != nil {
		return *x.DeletedAt
	}
	return 0
}

type EvenListResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items     []*EventModel    `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Paginator *proto.Paginator `protobuf:"bytes,2,opt,name=paginator,proto3" json:"paginator,omitempty"`
}

func (x *EvenListResp) Reset() {
	*x = EvenListResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EvenListResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EvenListResp) ProtoMessage() {}

func (x *EvenListResp) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EvenListResp.ProtoReflect.Descriptor instead.
func (*EvenListResp) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{9}
}

func (x *EvenListResp) GetItems() []*EventModel {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *EvenListResp) GetPaginator() *proto.Paginator {
	if x != nil {
		return x.Paginator
	}
	return nil
}

type ScenarioActionModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Meta       string `protobuf:"bytes,2,opt,name=meta,proto3" json:"meta,omitempty"`
	ScenarioId uint32 `protobuf:"varint,3,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
	ActionId   uint32 `protobuf:"varint,4,opt,name=actionId,proto3" json:"actionId,omitempty"`
	Data       string `protobuf:"bytes,5,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *ScenarioActionModel) Reset() {
	*x = ScenarioActionModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioActionModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioActionModel) ProtoMessage() {}

func (x *ScenarioActionModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioActionModel.ProtoReflect.Descriptor instead.
func (*ScenarioActionModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{10}
}

func (x *ScenarioActionModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ScenarioActionModel) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

func (x *ScenarioActionModel) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

func (x *ScenarioActionModel) GetActionId() uint32 {
	if x != nil {
		return x.ActionId
	}
	return 0
}

func (x *ScenarioActionModel) GetData() string {
	if x != nil {
		return x.Data
	}
	return ""
}

type ScenarioActionBatch struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*ScenarioActionModel `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *ScenarioActionBatch) Reset() {
	*x = ScenarioActionBatch{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioActionBatch) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioActionBatch) ProtoMessage() {}

func (x *ScenarioActionBatch) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioActionBatch.ProtoReflect.Descriptor instead.
func (*ScenarioActionBatch) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{11}
}

func (x *ScenarioActionBatch) GetItems() []*ScenarioActionModel {
	if x != nil {
		return x.Items
	}
	return nil
}

type ScenarioItemModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Type       string `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Meta       string `protobuf:"bytes,3,opt,name=meta,proto3" json:"meta,omitempty"`
	ScenarioId uint32 `protobuf:"varint,4,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
}

func (x *ScenarioItemModel) Reset() {
	*x = ScenarioItemModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioItemModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioItemModel) ProtoMessage() {}

func (x *ScenarioItemModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioItemModel.ProtoReflect.Descriptor instead.
func (*ScenarioItemModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{12}
}

func (x *ScenarioItemModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ScenarioItemModel) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ScenarioItemModel) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

func (x *ScenarioItemModel) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

type ScenarioItemBatch struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*ScenarioItemModel `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *ScenarioItemBatch) Reset() {
	*x = ScenarioItemBatch{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioItemBatch) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioItemBatch) ProtoMessage() {}

func (x *ScenarioItemBatch) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioItemBatch.ProtoReflect.Descriptor instead.
func (*ScenarioItemBatch) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{13}
}

func (x *ScenarioItemBatch) GetItems() []*ScenarioItemModel {
	if x != nil {
		return x.Items
	}
	return nil
}

type ScenarioActionReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ScenarioId uint32             `protobuf:"varint,1,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
	Opt        *proto.ListOptions `protobuf:"bytes,2,opt,name=opt,proto3,oneof" json:"opt,omitempty"`
}

func (x *ScenarioActionReq) Reset() {
	*x = ScenarioActionReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioActionReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioActionReq) ProtoMessage() {}

func (x *ScenarioActionReq) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioActionReq.ProtoReflect.Descriptor instead.
func (*ScenarioActionReq) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{14}
}

func (x *ScenarioActionReq) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

func (x *ScenarioActionReq) GetOpt() *proto.ListOptions {
	if x != nil {
		return x.Opt
	}
	return nil
}

type ScenarioModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        uint32                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedAt int64                  `protobuf:"varint,2,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	UpdatedAt int64                  `protobuf:"varint,3,opt,name=updatedAt,proto3" json:"updatedAt,omitempty"`
	Initial   *uint32                `protobuf:"varint,4,opt,name=initial,proto3,oneof" json:"initial,omitempty"`
	Title     string                 `protobuf:"bytes,5,opt,name=title,proto3" json:"title,omitempty"`
	Category  string                 `protobuf:"bytes,6,opt,name=category,proto3" json:"category,omitempty"`
	Actions   []*ScenarioActionModel `protobuf:"bytes,7,rep,name=actions,proto3" json:"actions,omitempty"`
	DeletedAt *int64                 `protobuf:"varint,8,opt,name=deletedAt,proto3,oneof" json:"deletedAt,omitempty"`
}

func (x *ScenarioModel) Reset() {
	*x = ScenarioModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioModel) ProtoMessage() {}

func (x *ScenarioModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioModel.ProtoReflect.Descriptor instead.
func (*ScenarioModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{15}
}

func (x *ScenarioModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ScenarioModel) GetCreatedAt() int64 {
	if x != nil {
		return x.CreatedAt
	}
	return 0
}

func (x *ScenarioModel) GetUpdatedAt() int64 {
	if x != nil {
		return x.UpdatedAt
	}
	return 0
}

func (x *ScenarioModel) GetInitial() uint32 {
	if x != nil && x.Initial != nil {
		return *x.Initial
	}
	return 0
}

func (x *ScenarioModel) GetTitle() string {
	if x != nil {
		return x.Title
	}
	return ""
}

func (x *ScenarioModel) GetCategory() string {
	if x != nil {
		return x.Category
	}
	return ""
}

func (x *ScenarioModel) GetActions() []*ScenarioActionModel {
	if x != nil {
		return x.Actions
	}
	return nil
}

func (x *ScenarioModel) GetDeletedAt() int64 {
	if x != nil && x.DeletedAt != nil {
		return *x.DeletedAt
	}
	return 0
}

type ScenarioModelListResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items     []*ScenarioModel `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Paginator *proto.Paginator `protobuf:"bytes,2,opt,name=paginator,proto3" json:"paginator,omitempty"`
}

func (x *ScenarioModelListResp) Reset() {
	*x = ScenarioModelListResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioModelListResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioModelListResp) ProtoMessage() {}

func (x *ScenarioModelListResp) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioModelListResp.ProtoReflect.Descriptor instead.
func (*ScenarioModelListResp) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{16}
}

func (x *ScenarioModelListResp) GetItems() []*ScenarioModel {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ScenarioModelListResp) GetPaginator() *proto.Paginator {
	if x != nil {
		return x.Paginator
	}
	return nil
}

type SocketModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Direction uint32 `protobuf:"varint,2,opt,name=direction,proto3" json:"direction,omitempty"`
	Type      uint32 `protobuf:"varint,3,opt,name=type,proto3" json:"type,omitempty"`
	Title     string `protobuf:"bytes,4,opt,name=title,proto3" json:"title,omitempty"`
	Slug      string `protobuf:"bytes,5,opt,name=slug,proto3" json:"slug,omitempty"`
	ActionId  uint32 `protobuf:"varint,6,opt,name=actionId,proto3" json:"actionId,omitempty"`
	Manual    bool   `protobuf:"varint,7,opt,name=manual,proto3" json:"manual,omitempty"`
}

func (x *SocketModel) Reset() {
	*x = SocketModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SocketModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SocketModel) ProtoMessage() {}

func (x *SocketModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SocketModel.ProtoReflect.Descriptor instead.
func (*SocketModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{17}
}

func (x *SocketModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *SocketModel) GetDirection() uint32 {
	if x != nil {
		return x.Direction
	}
	return 0
}

func (x *SocketModel) GetType() uint32 {
	if x != nil {
		return x.Type
	}
	return 0
}

func (x *SocketModel) GetTitle() string {
	if x != nil {
		return x.Title
	}
	return ""
}

func (x *SocketModel) GetSlug() string {
	if x != nil {
		return x.Slug
	}
	return ""
}

func (x *SocketModel) GetActionId() uint32 {
	if x != nil {
		return x.ActionId
	}
	return 0
}

func (x *SocketModel) GetManual() bool {
	if x != nil {
		return x.Manual
	}
	return false
}

type ConnectorModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                 uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	FromScenarioAction uint32 `protobuf:"varint,2,opt,name=fromScenarioAction,proto3" json:"fromScenarioAction,omitempty"`
	FromSocket         uint32 `protobuf:"varint,3,opt,name=fromSocket,proto3" json:"fromSocket,omitempty"`
	ToScenarioAction   uint32 `protobuf:"varint,4,opt,name=toScenarioAction,proto3" json:"toScenarioAction,omitempty"`
	ToSocket           uint32 `protobuf:"varint,5,opt,name=toSocket,proto3" json:"toSocket,omitempty"`
	ScenarioId         uint32 `protobuf:"varint,6,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
}

func (x *ConnectorModel) Reset() {
	*x = ConnectorModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConnectorModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConnectorModel) ProtoMessage() {}

func (x *ConnectorModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConnectorModel.ProtoReflect.Descriptor instead.
func (*ConnectorModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{18}
}

func (x *ConnectorModel) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ConnectorModel) GetFromScenarioAction() uint32 {
	if x != nil {
		return x.FromScenarioAction
	}
	return 0
}

func (x *ConnectorModel) GetFromSocket() uint32 {
	if x != nil {
		return x.FromSocket
	}
	return 0
}

func (x *ConnectorModel) GetToScenarioAction() uint32 {
	if x != nil {
		return x.ToScenarioAction
	}
	return 0
}

func (x *ConnectorModel) GetToSocket() uint32 {
	if x != nil {
		return x.ToSocket
	}
	return 0
}

func (x *ConnectorModel) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

type ConnectorReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ScenarioId uint32 `protobuf:"varint,1,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
}

func (x *ConnectorReq) Reset() {
	*x = ConnectorReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConnectorReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConnectorReq) ProtoMessage() {}

func (x *ConnectorReq) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConnectorReq.ProtoReflect.Descriptor instead.
func (*ConnectorReq) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{19}
}

func (x *ConnectorReq) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

type AuthRequestModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BotId uint32 `protobuf:"varint,1,opt,name=botId,proto3" json:"botId,omitempty"`
	Meta  string `protobuf:"bytes,2,opt,name=meta,proto3" json:"meta,omitempty"`
	Hash  string `protobuf:"bytes,3,opt,name=hash,proto3" json:"hash,omitempty"`
}

func (x *AuthRequestModel) Reset() {
	*x = AuthRequestModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AuthRequestModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthRequestModel) ProtoMessage() {}

func (x *AuthRequestModel) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthRequestModel.ProtoReflect.Descriptor instead.
func (*AuthRequestModel) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{20}
}

func (x *AuthRequestModel) GetBotId() uint32 {
	if x != nil {
		return x.BotId
	}
	return 0
}

func (x *AuthRequestModel) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

func (x *AuthRequestModel) GetHash() string {
	if x != nil {
		return x.Hash
	}
	return ""
}

type ScenarioListReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Opts *proto.ListOptions `protobuf:"bytes,1,opt,name=opts,proto3,oneof" json:"opts,omitempty"`
}

func (x *ScenarioListReq) Reset() {
	*x = ScenarioListReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_botCommon_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ScenarioListReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ScenarioListReq) ProtoMessage() {}

func (x *ScenarioListReq) ProtoReflect() protoreflect.Message {
	mi := &file_botCommon_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ScenarioListReq.ProtoReflect.Descriptor instead.
func (*ScenarioListReq) Descriptor() ([]byte, []int) {
	return file_botCommon_proto_rawDescGZIP(), []int{21}
}

func (x *ScenarioListReq) GetOpts() *proto.ListOptions {
	if x != nil {
		return x.Opts
	}
	return nil
}

var File_botCommon_proto protoreflect.FileDescriptor

var file_botCommon_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x62, 0x6f, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x05, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x54, 0x0a, 0x16, 0x53, 0x63,
	0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f,
	0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64,
	0x22, 0x8f, 0x03, 0x0a, 0x08, 0x42, 0x6f, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c, 0x0a,
	0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x12,
	0x12, 0x0a, 0x04, 0x73, 0x6c, 0x75, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73,
	0x6c, 0x75, 0x67, 0x12, 0x10, 0x0a, 0x03, 0x65, 0x6e, 0x76, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x03, 0x65, 0x6e, 0x76, 0x12, 0x18, 0x0a, 0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x12,
	0x28, 0x0a, 0x0f, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x6f, 0x72, 0x48, 0x61, 0x6e, 0x64, 0x6c,
	0x65, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74,
	0x6f, 0x72, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x12, 0x2c, 0x0a, 0x11, 0x61, 0x6c, 0x6c,
	0x6f, 0x77, 0x50, 0x6c, 0x61, 0x69, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x11, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x50, 0x6c, 0x61, 0x69, 0x6e,
	0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x12, 0x28, 0x0a, 0x0f, 0x64, 0x69, 0x73, 0x61, 0x62,
	0x6c, 0x65, 0x54, 0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0f, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x54, 0x72, 0x69, 0x67, 0x67, 0x65, 0x72,
	0x73, 0x12, 0x2e, 0x0a, 0x12, 0x61, 0x75, 0x74, 0x6f, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x61,
	0x75, 0x74, 0x6f, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x73, 0x12, 0x21, 0x0a, 0x09, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x0c,
	0x20, 0x01, 0x28, 0x03, 0x48, 0x00, 0x52, 0x09, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41,
	0x74, 0x88, 0x01, 0x01, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x41, 0x74, 0x22, 0x6b, 0x0a, 0x0b, 0x42, 0x6f, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x12, 0x25, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x0f, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x35, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x6e, 0x6d,
	0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x6f, 0x72, 0x52, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x22,
	0xcd, 0x01, 0x0a, 0x0c, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64, 0x65, 0x6c,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x1c,
	0x0a, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x14, 0x0a, 0x05,
	0x62, 0x6f, 0x74, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x62, 0x6f, 0x74,
	0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65,
	0x74, 0x61, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x21,
	0x0a, 0x09, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28,
	0x03, 0x48, 0x00, 0x52, 0x09, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x88, 0x01,
	0x01, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x22,
	0x73, 0x0a, 0x0f, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x12, 0x29, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x13, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65,
	0x72, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x35, 0x0a,
	0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x17, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e,
	0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x52, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x6f, 0x72, 0x22, 0x64, 0x0a, 0x0b, 0x42, 0x6f, 0x74, 0x55, 0x73, 0x65, 0x72, 0x4c,
	0x69, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x12, 0x32, 0x0a,
	0x04, 0x6f, 0x70, 0x74, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x6e, 0x6d,
	0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52, 0x04, 0x6f, 0x70, 0x74, 0x73, 0x88, 0x01,
	0x01, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x6f, 0x70, 0x74, 0x73, 0x22, 0x91, 0x01, 0x0a, 0x0b, 0x41,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x18,
	0x0a, 0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x68, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x63, 0x68, 0x65,
	0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x65,
	0x12, 0x2c, 0x0a, 0x07, 0x73, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x12, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x07, 0x73, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x73, 0x22, 0x4e,
	0x0a, 0x0a, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x62, 0x6f, 0x74, 0x53, 0x6c, 0x75, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x62, 0x6f, 0x74, 0x53, 0x6c, 0x75, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0xd9,
	0x01, 0x0a, 0x0a, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c, 0x0a,
	0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f, 0x74,
	0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x62, 0x6f, 0x74, 0x49, 0x64, 0x12,
	0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x12,
	0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x12, 0x21, 0x0a, 0x09, 0x64, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x48, 0x00, 0x52, 0x09,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x88, 0x01, 0x01, 0x42, 0x0c, 0x0a, 0x0a,
	0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x22, 0x6e, 0x0a, 0x0c, 0x45, 0x76,
	0x65, 0x6e, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x12, 0x27, 0x0a, 0x05, 0x69, 0x74,
	0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x62, 0x6f, 0x74, 0x4d,
	0x73, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x05, 0x69, 0x74,
	0x65, 0x6d, 0x73, 0x12, 0x35, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x73,
	0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x52,
	0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x22, 0x89, 0x01, 0x0a, 0x13, 0x53,
	0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e,
	0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x47, 0x0a, 0x13, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x61, 0x74, 0x63, 0x68, 0x12, 0x30, 0x0a,
	0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x62,
	0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x22,
	0x6b, 0x0a, 0x11, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d,
	0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x1e, 0x0a, 0x0a,
	0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x22, 0x43, 0x0a, 0x11,
	0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x42, 0x61, 0x74, 0x63,
	0x68, 0x12, 0x2e, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69,
	0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d,
	0x73, 0x22, 0x6d, 0x0a, 0x11, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e,
	0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x12, 0x30, 0x0a, 0x03, 0x6f, 0x70, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72,
	0x65, 0x64, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x00,
	0x52, 0x03, 0x6f, 0x70, 0x74, 0x88, 0x01, 0x01, 0x42, 0x06, 0x0a, 0x04, 0x5f, 0x6f, 0x70, 0x74,
	0x22, 0x9f, 0x02, 0x0a, 0x0d, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74,
	0x12, 0x1c, 0x0a, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x1d,
	0x0a, 0x07, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x48,
	0x00, 0x52, 0x07, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x6c, 0x88, 0x01, 0x01, 0x12, 0x14, 0x0a,
	0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x69,
	0x74, 0x6c, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12,
	0x34, 0x0a, 0x07, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69,
	0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x07, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x21, 0x0a, 0x09, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x41, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x48, 0x01, 0x52, 0x09, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x64, 0x41, 0x74, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x69, 0x6e, 0x69,
	0x74, 0x69, 0x61, 0x6c, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x41, 0x74, 0x22, 0x7a, 0x0a, 0x15, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x4d, 0x6f,
	0x64, 0x65, 0x6c, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x12, 0x2a, 0x0a, 0x05, 0x69,
	0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x62, 0x6f, 0x74,
	0x4d, 0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x4d, 0x6f, 0x64, 0x65, 0x6c,
	0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x35, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x6e, 0x6d, 0x62,
	0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x6f, 0x72, 0x52, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x22, 0xad,
	0x01, 0x0a, 0x0b, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c,
	0x0a, 0x09, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0d, 0x52, 0x09, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x6c, 0x75, 0x67, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73, 0x6c, 0x75, 0x67, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x61, 0x6e, 0x75, 0x61, 0x6c,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x6d, 0x61, 0x6e, 0x75, 0x61, 0x6c, 0x22, 0xd8,
	0x01, 0x0a, 0x0e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x2e, 0x0a, 0x12, 0x66, 0x72, 0x6f, 0x6d, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69,
	0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x12, 0x66,
	0x72, 0x6f, 0x6d, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x66, 0x72, 0x6f, 0x6d, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x66, 0x72, 0x6f, 0x6d, 0x53, 0x6f, 0x63, 0x6b, 0x65,
	0x74, 0x12, 0x2a, 0x0a, 0x10, 0x74, 0x6f, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x10, 0x74, 0x6f, 0x53,
	0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1a, 0x0a,
	0x08, 0x74, 0x6f, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x08, 0x74, 0x6f, 0x53, 0x6f, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65,
	0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73,
	0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x22, 0x2e, 0x0a, 0x0c, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x71, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x65,
	0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73,
	0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x22, 0x50, 0x0a, 0x10, 0x41, 0x75, 0x74,
	0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x14, 0x0a,
	0x05, 0x62, 0x6f, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x62, 0x6f,
	0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x61, 0x73, 0x68, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x61, 0x73, 0x68, 0x22, 0x4e, 0x0a, 0x0f, 0x53,
	0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x12, 0x32,
	0x0a, 0x04, 0x6f, 0x70, 0x74, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x6e,
	0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52, 0x04, 0x6f, 0x70, 0x74, 0x73, 0x88,
	0x01, 0x01, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x6f, 0x70, 0x74, 0x73, 0x42, 0x29, 0x5a, 0x27, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6e, 0x69, 0x6b, 0x69, 0x74, 0x61,
	0x2e, 0x6d, 0x6f, 0x72, 0x6f, 0x7a, 0x6f, 0x76, 0x2f, 0x62, 0x6f, 0x74, 0x73, 0x2d, 0x6d, 0x73,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_botCommon_proto_rawDescOnce sync.Once
	file_botCommon_proto_rawDescData = file_botCommon_proto_rawDesc
)

func file_botCommon_proto_rawDescGZIP() []byte {
	file_botCommon_proto_rawDescOnce.Do(func() {
		file_botCommon_proto_rawDescData = protoimpl.X.CompressGZIP(file_botCommon_proto_rawDescData)
	})
	return file_botCommon_proto_rawDescData
}

var file_botCommon_proto_msgTypes = make([]protoimpl.MessageInfo, 22)
var file_botCommon_proto_goTypes = []interface{}{
	(*ScenarioInitialRequest)(nil), // 0: botMs.ScenarioInitialRequest
	(*BotModel)(nil),               // 1: botMs.BotModel
	(*BotListResp)(nil),            // 2: botMs.BotListResp
	(*BotUserModel)(nil),           // 3: botMs.BotUserModel
	(*BotUserListResp)(nil),        // 4: botMs.BotUserListResp
	(*BotUserList)(nil),            // 5: botMs.BotUserList
	(*ActionModel)(nil),            // 6: botMs.ActionModel
	(*ExecuteReq)(nil),             // 7: botMs.ExecuteReq
	(*EventModel)(nil),             // 8: botMs.EventModel
	(*EvenListResp)(nil),           // 9: botMs.EvenListResp
	(*ScenarioActionModel)(nil),    // 10: botMs.ScenarioActionModel
	(*ScenarioActionBatch)(nil),    // 11: botMs.ScenarioActionBatch
	(*ScenarioItemModel)(nil),      // 12: botMs.ScenarioItemModel
	(*ScenarioItemBatch)(nil),      // 13: botMs.ScenarioItemBatch
	(*ScenarioActionReq)(nil),      // 14: botMs.ScenarioActionReq
	(*ScenarioModel)(nil),          // 15: botMs.ScenarioModel
	(*ScenarioModelListResp)(nil),  // 16: botMs.ScenarioModelListResp
	(*SocketModel)(nil),            // 17: botMs.SocketModel
	(*ConnectorModel)(nil),         // 18: botMs.ConnectorModel
	(*ConnectorReq)(nil),           // 19: botMs.ConnectorReq
	(*AuthRequestModel)(nil),       // 20: botMs.AuthRequestModel
	(*ScenarioListReq)(nil),        // 21: botMs.ScenarioListReq
	(*proto.Paginator)(nil),        // 22: nmbot.shared.Paginator
	(*proto.ListOptions)(nil),      // 23: nmbot.shared.ListOptions
}
var file_botCommon_proto_depIdxs = []int32{
	1,  // 0: botMs.BotListResp.items:type_name -> botMs.BotModel
	22, // 1: botMs.BotListResp.paginator:type_name -> nmbot.shared.Paginator
	3,  // 2: botMs.BotUserListResp.items:type_name -> botMs.BotUserModel
	22, // 3: botMs.BotUserListResp.paginator:type_name -> nmbot.shared.Paginator
	23, // 4: botMs.BotUserList.opts:type_name -> nmbot.shared.ListOptions
	17, // 5: botMs.ActionModel.sockets:type_name -> botMs.SocketModel
	8,  // 6: botMs.EvenListResp.items:type_name -> botMs.EventModel
	22, // 7: botMs.EvenListResp.paginator:type_name -> nmbot.shared.Paginator
	10, // 8: botMs.ScenarioActionBatch.items:type_name -> botMs.ScenarioActionModel
	12, // 9: botMs.ScenarioItemBatch.items:type_name -> botMs.ScenarioItemModel
	23, // 10: botMs.ScenarioActionReq.opt:type_name -> nmbot.shared.ListOptions
	10, // 11: botMs.ScenarioModel.actions:type_name -> botMs.ScenarioActionModel
	15, // 12: botMs.ScenarioModelListResp.items:type_name -> botMs.ScenarioModel
	22, // 13: botMs.ScenarioModelListResp.paginator:type_name -> nmbot.shared.Paginator
	23, // 14: botMs.ScenarioListReq.opts:type_name -> nmbot.shared.ListOptions
	15, // [15:15] is the sub-list for method output_type
	15, // [15:15] is the sub-list for method input_type
	15, // [15:15] is the sub-list for extension type_name
	15, // [15:15] is the sub-list for extension extendee
	0,  // [0:15] is the sub-list for field type_name
}

func init() { file_botCommon_proto_init() }
func file_botCommon_proto_init() {
	if File_botCommon_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_botCommon_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioInitialRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BotModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BotListResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BotUserModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BotUserListResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BotUserList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ActionModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExecuteReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EventModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EvenListResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioActionModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioActionBatch); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioItemModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioItemBatch); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioActionReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioModelListResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SocketModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConnectorModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConnectorReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AuthRequestModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_botCommon_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ScenarioListReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_botCommon_proto_msgTypes[1].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[3].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[5].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[8].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[14].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[15].OneofWrappers = []interface{}{}
	file_botCommon_proto_msgTypes[21].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_botCommon_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   22,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_botCommon_proto_goTypes,
		DependencyIndexes: file_botCommon_proto_depIdxs,
		MessageInfos:      file_botCommon_proto_msgTypes,
	}.Build()
	File_botCommon_proto = out.File
	file_botCommon_proto_rawDesc = nil
	file_botCommon_proto_goTypes = nil
	file_botCommon_proto_depIdxs = nil
}
